Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.perspective.event
Class PerspectiveEvent

    java.lang.Object
      java.util.EventObject
          org.flexdock.event.Event
              org.flexdock.perspective.event.PerspectiveEvent

All Implemented Interfaces:
  Serializable, DockingConstants

    public class PerspectiveEvent

extends Event

Author:
  Mateusz Szczap
See Also:
  Serialized Form

Field Summary
`static int` | `CHANGED`
`static int` | `RESET`

Fields inherited from class java.util.EventObject
`source`

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`PerspectiveEvent(Perspective perspective, Perspective oldPerspective, int eventType)`

Method Summary
`Perspective` | `getOldPerspective()`
`Perspective` | `getPerspective()`

Methods inherited from class org.flexdock.event.Event
`getEventType`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CHANGED

    public static final int CHANGED

See Also:
  Constant Field Values

### RESET

    public static final int RESET

See Also:
  Constant Field Values

Constructor Detail

### PerspectiveEvent

    public PerspectiveEvent(Perspective perspective,
                            Perspective oldPerspective,
                            int eventType)

Method Detail

### getPerspective

    public Perspective getPerspective()

### getOldPerspective

    public Perspective getOldPerspective()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD